scsi_device_lookup_by_target
Prev | drivers/scsi/scsi.c | Next

## Name

scsi_device_lookup_by_target — find a device given the target

## Synopsis

`struct scsi_device * scsi_device_lookup_by_target (` | struct scsi_target * | starget,
| uint | lun`)`;

## Arguments

`starget`

  SCSI target pointer

`lun`

  SCSI Logical Unit Number

## Description

Looks up the scsi_device with the specified `channel`, `id`, `lun` for a given host. The returned scsi_device has an additional reference that needs to be released with scsi_device_put once you're done with it.

Prev | Up | Next
__scsi_device_lookup_by_target | Home | __scsi_device_lookup